
TYPO3.Flow - Feature # 36696

Status: Resolved Priority: Should have
Author: Alexander Berl Category: Http
Created: 2012-04-29 Assigned To: Robert Lemke
Updated: 2012-05-30 Due date:
PHP Version: 5.3
Has patch: Yes
Complexity: easy
Subject: Allow setting response headers from different locations
Description

As a developer, I want to set response headers from locations different from the current controller invocation for various needs.
For example, I want to set the "Vary: Accept-Language" header from a locale detection service, or the "Cache-Control" headers from a
caching service.

I suggest the RequestHandler should also provide access to the current response object, as it currently does to the HttpRequest
object.

Associated revisions
Revision 7e1087a9 - 2012-05-29 10:25 - Robert Lemke

[FEATURE] Add getHttpResponse() to HttpRequestHandler

This adds a getter method to the HTTP request handler
which allows for retrieving the response corresponding
to the currently handled request.

Change-Id: Id418e91237ae6d7ae8a213d3f14124a5a7ce51c9
Resolves: #36696
Releases: 1.1, 1.2

Revision 34691272 - 2012-05-29 10:31 - Robert Lemke

[FEATURE] Add getHttpResponse() to HttpRequestHandler

This adds a getter method to the HTTP request handler
which allows for retrieving the response corresponding
to the currently handled request.

Change-Id: Id418e91237ae6d7ae8a213d3f14124a5a7ce51c9
Resolves: #36696
Releases: 1.1, 1.2

History
#1 - 2012-04-29 02:32 - Alexander Berl
- File 0013-FEATURE-Allow-access-to-the-current-response-object-.patch added
The previous patch contained a typo in the doc-block and should @return \TYPO3\FLOW3\Http\Response. A fixed version is attached.

#2 - 2012-05-25 18:13 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke
- Target version set to 1.1 beta 2
- PHP Version set to 5.3
- Complexity changed from no-brainer to easy

#3 - 2012-05-25 18:14 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11620

#4 - 2012-05-25 18:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11620

#5 - 2012-05-29 10:25 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11620

#6 - 2012-05-29 10:31 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11677

#7 - 2012-05-30 08:41 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7e1087a99a5f56bdf458cfd23f61a31f9e3749e4.

Files
0013-FEATURE-Allow-access-to-the-current-response-object-.patch 1.8 kB 2012-04-29 Alexander Berl
0013-FEATURE-Allow-access-to-the-current-response-object-.patch 1.8 kB 2012-04-29 Alexander Berl
